include ../../layout/components/paginacao

div
	filtro-processos-cerberus(paginacao="consultarProcessoCerberus.paginacao",
		atualizar-lista="consultarProcessoCerberus.atualizarListaProcessosCerberus",
		atualizar-paginacao="consultarProcessoCerberus.atualizarPaginacao",
		pesquisar-ao-inicializar="true")

	h4 Lista de processos/protocolos do Cerberus

	hr
	.row
		.col-md-12
			div(ng-if="consultarProcessoCerberus.processos && consultarProcessoCerberus.processos.length > 0").table-responsive
				table.table.table-striped.table-condensed.no-margin
					thead
						tr
							th.col-md-2.text-left Processo
							th.col-md-2.text-left Data
							th.col-md-2.text-left CPF/CNPJ
							th.col-md-3.text-left Nome/Razão Social
							th.col-md-1.text-right Ações
					tbody
						tr(ng-repeat="processo in consultarProcessoCerberus.processos")

							td(ng-attr-title="{{processo.numero}}").text-left {{processo.processoCerberus.numero}}
							td.text-left.break-word {{processo.processoCerberus.dataProcesso}}
							td.text-left {{processo.cliente.cpf ? processo.cliente.cpf : processo.cliente.cnpj | brCpfCnpj}}
							td.text-left {{processo.cliente.cliente}}

							td
								span.pull-right

									.dropdown.action-table
										button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown', aria-haspopup='true', aria-expanded='true', ng-click="consultarProcessoCerberus.validacaoDocumentos(processo)")
											| Ações &nbsp;
											span.caret
										ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1')
											li
												a(ng-click="consultarProcessoCerberus.visualizarProcesso(processo.processoCerberus.id)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar processo

				+paginacao('consultarProcessoCerberus.paginacao', 'consultarProcessoCerberus.onPaginaAlterada')

		.row(ng-show="!consultarProcessoCerberus.processos || consultarProcessoCerberus.processos.length == 0")
			.col-md-12
				p.empty-result Não existem dados a serem exibidos.
